## execline 2.5.3.0

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

STATIC_LIBS :=
SHARED_LIBS :=
INTERNAL_LIBS :=
EXTRA_TARGETS :=
LIB_DEFS :=

define library_definition
LIB$(firstword $(subst =, ,$(1))) := lib$(lastword $(subst =, ,$(1))).$(if $(DO_ALLSTATIC),a,so).xyzzy
ifdef DO_SHARED
SHARED_LIBS += lib$(lastword $(subst =, ,$(1))).so.xyzzy
endif
ifdef DO_STATIC
STATIC_LIBS += lib$(lastword $(subst =, ,$(1))).a.xyzzy
endif
endef

-include config.mak
include package/targets.mak

$(foreach var,$(LIB_DEFS),$(eval $(call library_definition,$(var))))

include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
CFLAGS_SHARED := -fPIC
else
CFLAGS_SHARED :=
endif
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

ALL_BINS := $(LIBEXEC_TARGETS) $(BIN_TARGETS)
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS) $(INTERNAL_LIBS)
ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)

all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo) $(EXTRA_TARGETS)

distclean: clean
	@exec rm -f config.mak src/include/$(package)/config.h

tgz: distclean
	@. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -zpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.gz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS) $(ALL_BINS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment -R .note.GNU-stack $(STATIC_LIBS)
endif
ifneq ($(strip $(ALL_BINS)$(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment -R .note.GNU-stack $(ALL_BINS) $(SHARED_LIBS)
endif

install: install-dynlib install-libexec install-bin install-lib install-include
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)
install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)

ifneq ($(exthome),)

$(DESTDIR)$(exthome): $(DESTDIR)$(home)
	exec $(INSTALL) -l $(notdir $(home)) $(DESTDIR)$(exthome)

update: $(DESTDIR)$(exthome)

global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M)) $(BIN_TARGETS:%=$(DESTDIR)$(sproot)/command/%)

$(DESTDIR)$(sproot)/command/%: $(DESTDIR)$(home)/command/%
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/command/$(<F) $@

$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M): $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M)
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/library.so/$(<F) $@

.PHONY: update global-links

endif

$(DESTDIR)$(datadir)/%: src/etc/%
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(dynlibdir)/lib%.so: lib%.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_m) && \
	$(INSTALL) -l $(@F).$(version_m) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libexecdir)/% $(DESTDIR)$(bindir)/%: % package/modes
	exec $(INSTALL) -D -m 600 $< $@
	grep -- ^$(@F) < package/modes | { read name mode owner && \
	if [ x$$owner != x ] ; then chown -- $$owner $@ ; fi && \
	chmod $$mode $@ ; }

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

$(ALL_BINS):
	exec $(CC) -o $@ $(CFLAGS_ALL) $(LDFLAGS_ALL) $(LDFLAGS_NOSHARED) $^ $(EXTRA_LIBS) $(LDLIBS)

lib%.a.xyzzy:
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

lib%.so.xyzzy:
	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)

.PHONY: it all clean distclean tgz strip install install-dynlib install-bin install-lib install-include install-data

.DELETE_ON_ERROR:

## execline 2.5.0.1

=== debian/changelog ===
execline (2.5.0.1-3) unstable; urgency=medium

  * Add dep8 autopkgtest script

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Feb 2019 22:36:23 +0800

execline (2.5.0.1-2) unstable; urgency=medium

  * Move skalibs-dev to Build-Depends-Arch.
  * Fix cross build, thanks Helmut Grohne. (Closes: #917834)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Feb 2019 00:22:02 +0800

execline (2.5.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #906250)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Sep 2018 11:15:01 +0800

=== debian/control ===
Source: execline
Section: admin
Priority: optional
Maintainer: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
Build-Depends-Arch:
 skalibs-dev (>= 2.7.0.0),
Standards-Version: 4.2.1
Homepage: https://skarnet.org/software/execline/
Vcs-Git: https://salsa.debian.org/zhsj/execline.git
Vcs-Browser: https://salsa.debian.org/zhsj/execline

Package: execline
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: small and non-interactive scripting language
 Execline is a (non-interactive) scripting language, like sh; but its
 syntax is quite different from a traditional shell syntax. The execlineb
 program is meant to be used as an interpreter for a text file; the other
 commands are essentially useful inside an execlineb script.
 .
 Execline is as powerful as a shell: it features conditional loops,
 getopt-style option handling, filename globbing, and more. Meanwhile, its
 syntax is far more logic and predictable than the shell's syntax, and has
 no security issues.
 .
 Execline binaries are installed in /usr/lib/execline/bin, please add it to
 PATH before using them.

Package: execline-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: small and non-interactive scripting language (documentation)
 Execline is a (non-interactive) scripting language, like sh; but its
 syntax is quite different from a traditional shell syntax. The execlineb
 program is meant to be used as an interpreter for a text file; the other
 commands are essentially useful inside an execlineb script.
 .
 Execline is as powerful as a shell: it features conditional loops,
 getopt-style option handling, filename globbing, and more. Meanwhile, its
 syntax is far more logic and predictable than the shell's syntax, and has
 no security issues.
 .
 This package contains documentation files.

Package: libexecline-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libexecline2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: small and non-interactive scripting language (development files)
 Execline is a (non-interactive) scripting language, like sh; but its
 syntax is quite different from a traditional shell syntax. The execlineb
 program is meant to be used as an interpreter for a text file; the other
 commands are essentially useful inside an execlineb script.
 .
 Execline is as powerful as a shell: it features conditional loops,
 getopt-style option handling, filename globbing, and more. Meanwhile, its
 syntax is far more logic and predictable than the shell's syntax, and has
 no security issues.
 .
 This package contains static and header files.

Package: libexecline2.5
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: small and non-interactive scripting language (shared library)
 Execline is a (non-interactive) scripting language, like sh; but its
 syntax is quite different from a traditional shell syntax. The execlineb
 program is meant to be used as an interpreter for a text file; the other
 commands are essentially useful inside an execlineb script.
 .
 Execline is as powerful as a shell: it features conditional loops,
 getopt-style option handling, filename globbing, and more. Meanwhile, its
 syntax is far more logic and predictable than the shell's syntax, and has
 no security issues.
 .
 This package contains shared libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH) \
		--bindir=\$${prefix}/lib/execline/bin \
		--with-sysdeps=/usr/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps \
		--enable-absolute-paths \
		--enable-shared --disable-allstatic

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/execline
	cp -aT doc debian/tmp/usr/share/doc/execline

## execline 2.5.1.0

=== debian/changelog ===
execline (2.5.1.0-1build1) eoan; urgency=medium

  * No-change rebuild against libskarnet2.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2019 06:43:23 +0000

execline (2.5.1.0-1) unstable; urgency=medium

  * New upstream release v2.5.1.0
  * Add an execlineb wrap script to /usr/bin (Closes: #922642)
  * Add execlineb(1) manpage
  * Bump debhelper to 12
  * Update Standards-Version to 4.4.0 (no changes)
  * Add Build-Depends-Package to symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Aug 2019 22:47:35 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  skalibs-dev (>= 2.7.0.0),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline

## execline 2.5.3.0

=== debian/changelog ===
execline (2.5.3.0-1) unstable; urgency=medium

  * New upstream release v2.5.3.0
  * Drop cross compile patch, applied by upstream

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Oct 2019 23:23:08 +0800

execline (2.5.2.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changes)
  * Add /usr/bin/execlineb info to README.Debian documentation
  * Modify autopkgtest to use /usr/bin/execlineb

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 13 Oct 2019 17:51:02 +0800

execline (2.5.2.0-2) unstable; urgency=medium

  * debian/control: bump skalibs requirement to 2.9.0.0 (Really)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Sep 2019 01:15:12 +0800

execline (2.5.2.0-1) unstable; urgency=medium

  * New upstream release v2.5.2.0
  * debian/control: bump skalibs requirement to 2.9.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Sep 2019 00:47:51 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
 Build-Depends-Arch:
- skalibs-dev (>= 2.7.0.0),
-Standards-Version: 4.4.0
+ skalibs-dev (>= 2.9.0.0),
+Standards-Version: 4.4.1
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --bindir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-sysdeps=/usr/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --enable-absolute-paths
CONFIG_OPT += --enable-shared
CONFIG_OPT += --disable-allstatic

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/execline
	cp -aT doc debian/tmp/usr/share/doc/execline

## execline 2.6.1.0

=== debian/changelog ===
execline (2.6.1.0-2) unstable; urgency=medium

  * Set shebangdir to /usr/bin which has execlineb wrapper

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 10 Jun 2020 01:08:20 +0800

execline (2.6.1.0-1) unstable; urgency=medium

  * New upstream version 2.6.1.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 09 Jun 2020 19:15:59 +0800

execline (2.6.0.2-1) unstable; urgency=medium

  * New upstream version 2.6.0.2
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 23 May 2020 16:28:09 +0800

execline (2.6.0.1-1) unstable; urgency=medium

  * New upstream version 2.6.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 00:45:10 +0800

execline (2.6.0.0-2) unstable; urgency=medium

  * Rebuild for testing migration.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 20 Mar 2020 23:54:28 +0800

execline (2.6.0.0-1) unstable; urgency=medium

  * New upstream version 2.6.0.0
  * Update Standards-Version to 4.5.0 (no changes)
  * Remove 0001-fix-library-symlink-referencing.patch
  * Bump SO version to 2.6

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 08 Mar 2020 04:45:59 +0800

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
  skalibs-dev (>= 2.9.0.0),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -55,7 +55,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libexecline2.5 (= ${binary:Version}),
+ libexecline2.6 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and non-interactive scripting language (development files)
  Execline is a (non-interactive) scripting language, like sh; but its
@@ -70,7 +70,7 @@
  .
  This package contains static and header files.
 
-Package: libexecline2.5
+Package: libexecline2.6
 Architecture: any
 Section: libs
 Multi-Arch: same

## execline 2.6.1.1

=== debian/changelog ===
execline (2.6.1.1-1.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Thu, 05 Nov 2020 01:31:31 +0200

execline (2.6.1.1-1) unstable; urgency=medium

  * New upstream version 2.6.1.1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 05 Oct 2020 14:02:29 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  skalibs-dev (>= 2.9.0.0),
 Standards-Version: 4.5.0

## execline 2.7.0.1

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES)
 
 clean:
-	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo) $(EXTRA_TARGETS)
+	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo)
 
 distclean: clean
 	@exec rm -f config.mak src/include/$(package)/config.h
@@ -84,7 +84,7 @@
 install: install-dynlib install-libexec install-bin install-lib install-include
 install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
 install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
-install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%)
+install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%) $(EXTRA_TARGETS:%=$(DESTDIR)$(bindir)/%)
 install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
 install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)
 install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)
@@ -96,7 +96,7 @@
 
 update: $(DESTDIR)$(exthome)
 
-global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M)) $(BIN_TARGETS:%=$(DESTDIR)$(sproot)/command/%)
+global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M)) $(BIN_TARGETS:%=$(DESTDIR)$(sproot)/command/%) $(EXTRA_TARGETS:%=$(DESTDIR)$(sproot)/command/%)
 
 $(DESTDIR)$(sproot)/command/%: $(DESTDIR)$(home)/command/%
 	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/command/$(<F) $@
@@ -111,10 +111,9 @@
 $(DESTDIR)$(datadir)/%: src/etc/%
 	exec $(INSTALL) -D -m 644 $< $@
 
-$(DESTDIR)$(dynlibdir)/lib%.so: lib%.so.xyzzy
+$(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
 	$(INSTALL) -D -m 755 $< $@.$(version) && \
-	$(INSTALL) -l $(@F).$(version) $@.$(version_m) && \
-	$(INSTALL) -l $(@F).$(version_m) $@.$(version_M) && \
+	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
 	exec $(INSTALL) -l $(@F).$(version_M) $@
 
 $(DESTDIR)$(libexecdir)/% $(DESTDIR)$(bindir)/%: % package/modes

=== debian/changelog ===
execline (2.7.0.1-2.0antix1) unstable; urgency=medium

  * antiX build to work with 66 

 -- anticapitalista <antix@operamail.com>  Fri, 26 Feb 2021 14:58:45 +0200

execline (2.7.0.1-2) unstable; urgency=medium

  * Suggest execline-doc in execline package
  * Mention execline-doc in execline package description

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 30 Jan 2021 00:39:44 +0800

execline (2.7.0.1-1) unstable; urgency=medium

  * New upstream version 2.7.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 26 Jan 2021 01:39:40 +0800

execline (2.7.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 21 Jan 2021 15:44:54 +0800

execline (2.7.0.0-1) experimental; urgency=medium

  * New upstream version 2.7.0.0
  * Bump SO version to 2.7
  * Update Standards-Version to 4.5.1 (no changes)
  * Bump skalibs-dev Build-Depends to 2.10.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jan 2021 10:40:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: anticapitalista <anticapitalista@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
 Build-Depends-Arch:
- skalibs-dev (>= 2.9.0.0),
-Standards-Version: 4.5.0
+ skalibs-dev (>= 2.10.0.0),
+Standards-Version: 4.5.1
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -17,6 +17,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ execline-doc,
 Description: small and non-interactive scripting language
  Execline is a (non-interactive) scripting language, like sh; but its
  syntax is quite different from a traditional shell syntax. The execlineb
@@ -28,8 +30,10 @@
  syntax is far more logic and predictable than the shell's syntax, and has
  no security issues.
  .
- Execline binaries are installed in /usr/lib/execline/bin, please add it to
- PATH before using them.
+ Documentation is provided in execline-doc package.
+ .
+ Binaries are installed in /usr/lib/execline/bin. Use the /usr/bin/execlineb
+ wrapper or add /usr/lib/execline/bin to PATH.
 
 Package: execline-doc
 Architecture: all
@@ -55,7 +59,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libexecline2.6 (= ${binary:Version}),
+ libexecline2.7 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and non-interactive scripting language (development files)
  Execline is a (non-interactive) scripting language, like sh; but its
@@ -70,7 +74,7 @@
  .
  This package contains static and header files.
 
-Package: libexecline2.6
+Package: libexecline2.7
 Architecture: any
 Section: libs
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --includedir=\$${prefix}/include
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-sysdeps=/usr/lib/skalibs/sysdeps
CONFIG_OPT += --enable-absolute-paths
CONFIG_OPT += --enable-shared
CONFIG_OPT += --disable-allstatic
CONFIG_OPT += --shebangdir=/usr/bin

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/execline
	cp -aT doc debian/tmp/usr/share/doc/execline

## execline 2.8.2.0

=== Makefile ===
--- 
+++ 
@@ -75,10 +75,10 @@
 
 strip: $(ALL_LIBS) $(ALL_BINS)
 ifneq ($(strip $(STATIC_LIBS)),)
-	exec $(STRIP) -x -R .note -R .comment -R .note.GNU-stack $(STATIC_LIBS)
+	exec $(STRIP) -x -R .note -R .comment $(STATIC_LIBS)
 endif
 ifneq ($(strip $(ALL_BINS)$(SHARED_LIBS)),)
-	exec $(STRIP) -R .note -R .comment -R .note.GNU-stack $(ALL_BINS) $(SHARED_LIBS)
+	exec $(STRIP) -R .note -R .comment $(ALL_BINS) $(SHARED_LIBS)
 endif
 
 install: install-dynlib install-libexec install-bin install-lib install-include

=== debian/changelog ===
execline (2.8.2.0-1) unstable; urgency=medium

  * New upstream version 2.8.2.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Dec 2021 23:12:22 +0800

execline (2.8.1.0-1) unstable; urgency=medium

  * New upstream version 2.8.1.0
  * Bump skalibs-dev to 2.11.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 22:51:55 +0800

execline (2.8.0.1-2) unstable; urgency=medium

  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Aug 2021 23:22:15 +0800

execline (2.8.0.1-1) unstable; urgency=medium

  * New upstream version 2.8.0.1
  * Bump SO to 2.8

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 21 Aug 2021 00:30:10 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: anticapitalista <anticapitalista@riseup.net>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
- skalibs-dev (>= 2.10.0.0),
-Standards-Version: 4.5.1
+ skalibs-dev (>= 2.11.0.0),
+Standards-Version: 4.6.0
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -59,7 +59,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libexecline2.7 (= ${binary:Version}),
+ libexecline2.8 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and non-interactive scripting language (development files)
  Execline is a (non-interactive) scripting language, like sh; but its
@@ -74,7 +74,7 @@
  .
  This package contains static and header files.
 
-Package: libexecline2.7
+Package: libexecline2.8
 Architecture: any
 Section: libs
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIG_OPT += --dynlibdir=\$${prefix}/lib
-CONFIG_OPT += --libdir=\$${prefix}/lib
-CONFIG_OPT += --includedir=\$${prefix}/include
-CONFIG_OPT += --bindir=\$${prefix}/bin
-CONFIG_OPT += --with-sysdeps=/usr/lib/skalibs/sysdeps
+CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --bindir=\$${prefix}/lib/execline/bin
+CONFIG_OPT += --with-sysdeps=/usr/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
 CONFIG_OPT += --enable-absolute-paths
 CONFIG_OPT += --enable-shared
 CONFIG_OPT += --disable-allstatic

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
git://git.skarnet.org/execline \
refs/tags/v([\d\.]+)

## execline 2.9.0.1

=== debian/changelog ===
execline (2.9.0.1-1) unstable; urgency=medium

  * New upstream version 2.9.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jul 2022 20:44:33 +0800

execline (2.9.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Jun 2022 23:02:27 +0800

execline (2.9.0.0-1) experimental; urgency=medium

  * New upstream version 2.9.0.0
  * Bump SO version to 2.9
  * Update Standards-Version to 4.6.1 (no changes)
  * Bump skalibs-dev to 2.12.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jun 2022 23:23:36 +0800

execline (2.8.3.0-1) unstable; urgency=medium

  * New upstream version 2.8.3.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Mar 2022 22:48:04 +0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- skalibs-dev (>= 2.11.0.0),
-Standards-Version: 4.6.0
+ skalibs-dev (>= 2.12.0.0),
+Standards-Version: 4.6.1
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -59,7 +59,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libexecline2.8 (= ${binary:Version}),
+ libexecline2.9 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and non-interactive scripting language (development files)
  Execline is a (non-interactive) scripting language, like sh; but its
@@ -74,7 +74,7 @@
  .
  This package contains static and header files.
 
-Package: libexecline2.8
+Package: libexecline2.9
 Architecture: any
 Section: libs
 Multi-Arch: same

## execline 2.9.2.1

=== debian/changelog ===
execline (2.9.2.1-1) unstable; urgency=medium

  * New upstream version 2.9.2.1

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Feb 2023 01:22:33 +0800

execline (2.9.2.0-1) unstable; urgency=medium

  * New upstream version 2.9.2.0

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Feb 2023 21:53:41 +0800

execline (2.9.1.0-1) unstable; urgency=medium

  * New upstream version 2.9.1.0
  * Update Standards-Version to 4.6.2 (no changes)
  * Bump skalibs-dev to 2.13.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Jan 2023 13:58:30 +0800

## execline 2.9.3.0

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 
 STATIC_LIBS :=
 SHARED_LIBS :=
-INTERNAL_LIBS :=
-EXTRA_TARGETS :=
 LIB_DEFS :=
+BIN_SYMLINKS :=
+EXTRA_TEMP :=
 
 define library_definition
 LIB$(firstword $(subst =, ,$(1))) := lib$(lastword $(subst =, ,$(1))).$(if $(DO_ALLSTATIC),a,so).xyzzy
@@ -53,14 +53,14 @@
 STRIP := $(CROSS_COMPILE)strip
 INSTALL := ./tools/install.sh
 
-ALL_BINS := $(LIBEXEC_TARGETS) $(BIN_TARGETS)
+ALL_BINS := $(BIN_TARGETS) $(LIBEXEC_TARGETS)
 ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS) $(INTERNAL_LIBS)
 ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)
 
 all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES)
 
 clean:
-	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo)
+	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(EXTRA_TEMP) $(wildcard src/*/*.o src/*/*.lo)
 
 distclean: clean
 	@exec rm -f config.mak src/include/$(package)/config.h
@@ -84,7 +84,7 @@
 install: install-dynlib install-libexec install-bin install-lib install-include
 install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
 install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
-install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%) $(EXTRA_TARGETS:%=$(DESTDIR)$(bindir)/%)
+install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%) $(BIN_SYMLINKS:%=$(DESTDIR)$(bindir)/%)
 install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
 install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)
 install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)
@@ -96,7 +96,7 @@
 
 update: $(DESTDIR)$(exthome)
 
-global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M)) $(BIN_TARGETS:%=$(DESTDIR)$(sproot)/command/%) $(EXTRA_TARGETS:%=$(DESTDIR)$(sproot)/command/%)
+global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M)) $(BIN_TARGETS:%=$(DESTDIR)$(sproot)/command/%) $(BIN_SYMLINKS:%=$(DESTDIR)$(sproot)/command/%)
 
 $(DESTDIR)$(sproot)/command/%: $(DESTDIR)$(home)/command/%
 	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/command/$(<F) $@
@@ -116,11 +116,20 @@
 	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
 	exec $(INSTALL) -l $(@F).$(version_M) $@
 
-$(DESTDIR)$(libexecdir)/% $(DESTDIR)$(bindir)/%: % package/modes
-	exec $(INSTALL) -D -m 600 $< $@
-	grep -- ^$(@F) < package/modes | { read name mode owner && \
-	if [ x$$owner != x ] ; then chown -- $$owner $@ ; fi && \
-	chmod $$mode $@ ; }
+$(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%): $(DESTDIR)$(libexecdir)/%: % package/modes
+$(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%): $(DESTDIR)$(bindir)/%: % package/modes
+$(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%) $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%):
+	grep -- ^$(@F) < package/modes | { read name mode og && \
+	if [ x$$og != x ] ; then og="-O $${og}" ; fi && \
+	$(INSTALL) -D -m $$mode $$og $< $@ ; }
+
+define install_symlink_rule
+$(DESTDIR)$(bindir)/$(1): $(DESTDIR)$(bindir)/$$(SYMLINK_TARGET_$(1))
+endef
+
+$(foreach x,$(BIN_SYMLINKS),$(eval $(call install_symlink_rule,$(x))))
+$(BIN_SYMLINKS:%=$(DESTDIR)$(bindir)/%):
+	exec $(INSTALL) -l $(SYMLINK_TARGET_$(@F)) $@
 
 $(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
 	exec $(INSTALL) -D -m 644 $< $@

=== debian/changelog ===
execline (2.9.3.0-1) unstable; urgency=medium

  * New upstream version 2.9.3.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Apr 2023 22:58:57 +0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- skalibs-dev (>= 2.12.0.0),
-Standards-Version: 4.6.1
+ skalibs-dev (>= 2.13.0.0),
+Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline

## execline 2.9.4.0

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,10 @@
 
 STATIC_LIBS :=
 SHARED_LIBS :=
+INTERNAL_LIBS :=
+EXTRA_TARGETS :=
 LIB_DEFS :=
 BIN_SYMLINKS :=
-EXTRA_TEMP :=
 
 define library_definition
 LIB$(firstword $(subst =, ,$(1))) := lib$(lastword $(subst =, ,$(1))).$(if $(DO_ALLSTATIC),a,so).xyzzy
@@ -28,6 +29,19 @@
 ifdef DO_STATIC
 STATIC_LIBS += lib$(lastword $(subst =, ,$(1))).a.xyzzy
 endif
+endef
+
+define binary_installation_rule
+$(DESTDIR)$(1)/$(2): $(2) package/modes
+	exec $(INSTALL) -D -m 600 $$< $$@
+	grep -- ^$$(@F) < package/modes | { read name mode owner && \
+	if [ x$$$$owner != x ] ; then chown -- $$$$owner $$@ ; fi && \
+	chmod $$$$mode $$@ ; }
+endef
+
+define symlink_installation_rule
+$(DESTDIR)$(1)/$(2): $(DESTDIR)$(1)/$(SYMLINK_TARGET_$(2))
+	exec $(INSTALL) -l $$(<F) $$@
 endef
 
 -include config.mak
@@ -53,14 +67,18 @@
 STRIP := $(CROSS_COMPILE)strip
 INSTALL := ./tools/install.sh
 
-ALL_BINS := $(BIN_TARGETS) $(LIBEXEC_TARGETS)
+$(foreach var,$(filter-out define,$(BIN_TARGETS)),$(eval $(call binary_installation_rule,$(bindir),$(var))))
+$(foreach var,$(LIBEXEC_TARGETS),$(eval $(call binary_installation_rule,$(libexecdir),$(var))))
+$(foreach var,$(BIN_SYMLINKS),$(eval $(call symlink_installation_rule,$(bindir),$(var))))
+
+ALL_BINS := $(LIBEXEC_TARGETS) $(BIN_TARGETS)
 ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS) $(INTERNAL_LIBS)
 ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)
 
-all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES)
+all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES) $(EXTRA_INCLUDES)
 
 clean:
-	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(EXTRA_TEMP) $(wildcard src/*/*.o src/*/*.lo)
+	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo) $(EXTRA_TARGETS)
 
 distclean: clean
 	@exec rm -f config.mak src/include/$(package)/config.h
@@ -81,13 +99,13 @@
 	exec $(STRIP) -R .note -R .comment $(ALL_BINS) $(SHARED_LIBS)
 endif
 
-install: install-dynlib install-libexec install-bin install-lib install-include
+install: install-dynlib install-libexec install-bin install-symlinks install-lib install-include
 install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
 install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
-install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%) $(BIN_SYMLINKS:%=$(DESTDIR)$(bindir)/%)
+install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%)
+install-symlinks: $(BIN_SYMLINKS:%=$(DESTDIR)$(bindir)/%)
 install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
-install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)
-install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)
+install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h) $(EXTRA_INCLUDES:src/include/%.h=$(DESTDIR)$(includedir)/%.h)
 
 ifneq ($(exthome),)
 
@@ -108,33 +126,18 @@
 
 endif
 
-$(DESTDIR)$(datadir)/%: src/etc/%
-	exec $(INSTALL) -D -m 644 $< $@
-
 $(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
 	$(INSTALL) -D -m 755 $< $@.$(version) && \
 	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
 	exec $(INSTALL) -l $(@F).$(version_M) $@
 
-$(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%): $(DESTDIR)$(libexecdir)/%: % package/modes
-$(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%): $(DESTDIR)$(bindir)/%: % package/modes
-$(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%) $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%):
-	grep -- ^$(@F) < package/modes | { read name mode og && \
-	if [ x$$og != x ] ; then og="-O $${og}" ; fi && \
-	$(INSTALL) -D -m $$mode $$og $< $@ ; }
-
-define install_symlink_rule
-$(DESTDIR)$(bindir)/$(1): $(DESTDIR)$(bindir)/$$(SYMLINK_TARGET_$(1))
-endef
-
-$(foreach x,$(BIN_SYMLINKS),$(eval $(call install_symlink_rule,$(x))))
-$(BIN_SYMLINKS:%=$(DESTDIR)$(bindir)/%):
-	exec $(INSTALL) -l $(SYMLINK_TARGET_$(@F)) $@
-
 $(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
 	exec $(INSTALL) -D -m 644 $< $@
 
 $(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
+	exec $(INSTALL) -D -m 644 $< $@
+
+$(DESTDIR)$(includedir)/%.h: src/include/%.h
 	exec $(INSTALL) -D -m 644 $< $@
 
 %.o: %.c
@@ -153,6 +156,6 @@
 lib%.so.xyzzy:
 	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)
 
-.PHONY: it all clean distclean tgz strip install install-dynlib install-bin install-lib install-include install-data
+.PHONY: it all clean distclean tgz strip install install-dynlib install-bin install-lib install-include
 
 .DELETE_ON_ERROR:

=== debian/changelog ===
execline (2.9.4.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:12:49 +0000

execline (2.9.4.0-1build1) noble; urgency=high

  * No change rebuild against libskarnet2.14t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 14:09:54 +0100

execline (2.9.4.0-1) unstable; urgency=medium

  * New upstream version 2.9.4.0
  * Bump skalibs-dev to 2.14.0.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 05:48:35 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- skalibs-dev (>= 2.13.0.0),
+ skalibs-dev (>= 2.14.0.0),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git

## execline 2.9.5.1

=== debian/changelog ===
execline (2.9.5.1-1.0antix1) unstable; urgency=medium

  * antiX build from Prowler_Gr repo
  
 -- anticapitalista <antix@operamail.com>  Fri, 10 May 2024 17:56:02 +0300

execline (2.9.4.0experimental1-1) UNRELEASED; urgency=medium

  * New upstream version 2.9.4.0
  * Bump skalibs-dev to 2.14.0.0
  * Refresh symbols file

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Fri, 26 Jan 2024 22:22:22 +1000

## execline 2.9.6.0

=== debian/changelog ===
execline (2.9.6.0-1.0experimental1) UNRELEASED; urgency=medium

  * Backported from sid for 'init-diversity'

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

execline (2.9.6.0-1) unstable; urgency=medium

  * New upstream version 2.9.6.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 15 Jun 2024 16:49:22 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: execline
-Section: admin
+Section: init-diversity
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -38,7 +37,7 @@
 
 Package: execline-doc
 Architecture: all
-Section: doc
+Section: init-diversity
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
@@ -57,7 +56,7 @@
 
 Package: libexecline-dev
 Architecture: any
-Section: libdevel
+Section: init-diversity
 Multi-Arch: same
 Depends:
  libexecline2.9 (= ${binary:Version}),
@@ -77,7 +76,7 @@
 
 Package: libexecline2.9
 Architecture: any
-Section: libs
+Section: init-diversity
 Multi-Arch: same
 Depends:
  ${misc:Depends},

## execline 2.9.6.1

=== debian/changelog ===
execline (2.9.6.1-1) unstable; urgency=medium

  * New upstream version 2.9.6.1
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 10 Oct 2024 03:30:17 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: execline
-Section: init-diversity
+Section: admin
 Priority: optional
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  skalibs-dev (>= 2.14.0.0),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -37,7 +37,7 @@
 
 Package: execline-doc
 Architecture: all
-Section: init-diversity
+Section: doc
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
@@ -56,7 +56,7 @@
 
 Package: libexecline-dev
 Architecture: any
-Section: init-diversity
+Section: libdevel
 Multi-Arch: same
 Depends:
  libexecline2.9 (= ${binary:Version}),
@@ -76,7 +76,7 @@
 
 Package: libexecline2.9
 Architecture: any
-Section: init-diversity
+Section: libs
 Multi-Arch: same
 Depends:
  ${misc:Depends},

=== debian/tests/control ===
Tests: quine

## execline 2.9.7.0

=== debian/changelog ===
execline (2.9.7.0-1.0antix1) unstable; urgency=medium

  * latest from skanet

 -- anticapitalista <antix@operamail.com>  Sat, 17 May 2025 15:58:44 +0300

execline (2.9.6.0-1.0antix1) unstable; urgency=medium

  * antiX build from Debian sid repo

 -- anticapitalista <antix@operamail.com>  Sat, 14 Sep 2024 16:06:50 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  skalibs-dev (>= 2.14.0.0),
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
